WCSLIB 7.7

Data Fields
auxprm Struct Reference

Additional auxiliary parameters. More...

`#include <wcs.h>`

## Data Fields
double | rsun_ref
double | dsun_obs
double | crln_obs
double | hgln_obs
double | hglt_obs

## Detailed Description

The auxprm struct holds auxiliary coordinate system information of a specialist nature. It is anticipated that this struct will expand in future to accomodate additional parameters.

All members of this struct are to be set by the user.

## Field Documentation

## ◆ rsun_ref

double auxprm::rsun_ref

(Given, auxiliary) Reference radius of the Sun used in coordinate calculations (m).

## ◆ dsun_obs

double auxprm::dsun_obs

(Given, auxiliary) Distance between the centre of the Sun and the observer (m).

## ◆ crln_obs

double auxprm::crln_obs

(Given, auxiliary) Carrington heliographic longitude of the observer (deg).

## ◆ hgln_obs

double auxprm::hgln_obs

(Given, auxiliary) Stonyhurst heliographic longitude of the observer (deg).

## ◆ hglt_obs

double auxprm::hglt_obs

(Given, auxiliary) Heliographic latitude (Carrington or Stonyhurst) of the observer (deg).